---
layout: doc
title: Hardware Testing
permalink: /doc/hardware-testing/
---

# Hardware Testing

The Qubes developers test Qubes OS on certain hardware models.
The tested hardware described on this page differs from [Qubes Certified Hardware] in a few key ways:

 - Qubes Certified Hardware has to meet more demanding standards than hardware that is merely tested.
 - All Qubes Certified Hardware is tested, but not all tested hardware is certified.
 - A specific certified configuration is guaranteed to be supported on specific versions of Qubes OS, whereas hardware testing provides no guarantees.

In general, you can think of tested hardware as "unofficial recommended" hardware:

 - [Qubes Certified Hardware] --- Qubes developer certified, officially recommended
 - Hardware Testing (this page) --- Qubes developer tested, unofficially recommended
 - [Hardware Compatibility List (HCL)] --- community test results, neither recommended nor disrecommended

## Tested Models

These hardware models have been (and continue to be) tested and work well with Qubes OS:

 - Lenovo ThinkPad X1 Carbon Gen 5
 - Lenovo ThinkPad x230

Note: The Lenovo X and T series are similar enough to assume similar compatibility of the matching model from the other series.

## Desired Models

The Qubes devs would like to test these models, but the hardware is not available to us.
If anyone is willing to lend or donate these models to us, we would be happy to test them:

 - Lenovo Thinkpad T or X series with Intel 8th Gen CPU and integrated graphics
 - Dell Latitude with Intel 8th Gen CPU and integrated graphics

Note: The Lenovo X and T series are similar enough to assume similar compatibility of the matching model from the other series.


[Qubes Certified Hardware]: /doc/certified-hardware/
[Hardware Compatibility List (HCL)]: /hcl/

